For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • POSTCreate Project Risk
      • GETQuery Risks
      • GETGet Risk
      • PUTUpdate Risk
      • DELRemove Risk
      • GETGet Risks for Project
      • POSTCreate Risk
      • POSTCreate Risk Export
LogoLogo
SupportContact salesStart free trial
API ReferenceRisk

Update Risk

PUT
https://api.projectmanager.com/api/data/risks/:riskId
PUT
/api/data/risks/:riskId
$curl -X PUT https://api.projectmanager.com/api/data/risks/riskId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "projectId": "string",
16 "name": "string",
17 "dueDate": "2023-01-15",
18 "percentComplete": 1,
19 "priority": 1,
20 "impact": 1,
21 "likelihood": 1,
22 "responseId": 1,
23 "resolution": "string",
24 "notes": "string",
25 "createDate": "2024-01-15T09:30:00Z",
26 "modifyDate": "2024-01-15T09:30:00Z",
27 "version": 1,
28 "shortId": "string",
29 "taskTypeId": 1,
30 "assignments": [
31 {
32 "taskId": "string",
33 "projectId": "string",
34 "resourceId": "string"
35 }
36 ],
37 "tags": [
38 {
39 "id": "string",
40 "name": "string",
41 "color": "string"
42 }
43 ],
44 "owner": {
45 "id": "string",
46 "initials": "string",
47 "firstName": "string",
48 "lastName": "string",
49 "email": "string",
50 "isActive": true,
51 "color": "string",
52 "avatarUrl": "string"
53 },
54 "filesCount": 1,
55 "commentsCount": 1,
56 "riskTypeId": 1,
57 "project": {
58 "id": "string",
59 "shortId": "string",
60 "name": "string"
61 }
62 }
63}
Updates an existing Risk. Only the fields provided in the request body will be updated. Fields omitted from the request will remain unchanged. Authorization is enforced to ensure the caller has access to modify the specified Risk.
Was this page helpful?
Previous

Remove Risk

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

riskIdstringRequiredformat: "uuid"
The id of the risk

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The fields to update
namestring or nullOptional
The common name of this Risk.
dueDatestring or nullOptionalformat: "date"
The date when this risk is expected to be resolved.
percentCompleteinteger or nullOptional0-100

Percentage completion (0–100).

priorityinteger or nullOptional
Priority of the risk.
impactinteger or nullOptional
The potential effect of the risk.
likelihoodinteger or nullOptional
Probability of the risk occurring.
responseIdinteger or nullOptional
Planned or implemented response. Avoid it, Mitigate, Transfer, Accept
resolutionstring or nullOptional
Actions taken or planned to address the risk.
descriptionstring or nullOptional
Additional comments or observations.
assigneeslist of strings or nullOptional
Users assigned to the risk. Replaces existing assignments when provided.
tagIdslist of strings or nullOptional
Tags applied to the risk. Replaces existing tags when provided.
riskTypeIdinteger or nullOptional

The type of risk. Risk = 1 Assumption = 2 Issue = 3 Dependency = 4 Change = 5

moveToProjectobject or nullOptional
Object contains data to move risk to another project

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Represents a potential threat or uncertainty that could impact a project, system, or process. Contains information such as its likelihood, impact, response, and resolution details.

Errors

400
Bad Request Error